{ pkgs, ... }:

{
  c3d2.deployment.server = "server10";

  # microvm.mem = 2 * 1024;

  networking.hostName = "vaultwarden";

  services = {
    # backup.enable = true;

    nginx = {
      enable = true;
      virtualHosts."vaultwarden.c3d2.de" = {
        default = true;
        forceSSL = true;
        enableACME = true;
        locations."/".proxyPass = "http://127.0.0.1:3000";
      };
    };

    postgresql = {
      package = pkgs.postgresql_16;
      # upgrade.stopServices = [ "" ];
    };
  };

  sops = {
    # defaultSopsFile = ./secrets.yaml;
  };

  system.stateVersion = "23.11";
}
